# getShareGrantManageView

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/share-grants/manage-view |

| Field | Value |
|---|---|
| operationId | getShareGrantManageView |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /share-grants/manage-view |
| tags | `Sharing` |
| summary | The caller's Manage Sharing view for a data type |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| dataType | query | true |  |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Manage Sharing view for the data type | #/components/schemas/ManageSharingDataTypeViewDto |
| 400 | Invalid or missing dataType query parameter | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
